> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fint.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Obtener facturas paginadas

> Obtener facturas paginadas



## OpenAPI

````yaml get /invoice
openapi: 3.0.0
info:
  version: 1.0.0
  title: Fint API
  description: Fint API
servers:
  - url: https://api.fint.app/api/v1
    variables: {}
security: []
paths:
  /invoice:
    get:
      tags:
        - Facturas
      summary: Obtener facturas paginadas
      description: Obtener facturas paginadas
      parameters:
        - schema:
            type: string
          required: false
          name: search
          in: query
        - schema:
            type: number
            nullable: true
            default: 0
          required: false
          name: page
          in: query
        - schema:
            type: number
            minimum: 0
            exclusiveMinimum: true
            default: 500
          required: false
          name: limit
          in: query
        - schema:
            type: string
            nullable: true
          required: false
          name: startDate
          in: query
        - schema:
            type: string
            nullable: true
          required: false
          name: endDate
          in: query
        - schema:
            type: array
            nullable: true
            items:
              type: number
          required: false
          name: settlementIds
          in: query
        - schema:
            type: array
            nullable: true
            items:
              type: number
          required: false
          name: itemIds
          in: query
        - schema:
            type: boolean
            nullable: true
          required: false
          name: includeAllItems
          in: query
        - schema:
            type: array
            nullable: true
            items:
              type: number
          required: false
          name: tagIds
          in: query
        - schema:
            type: boolean
            nullable: true
          required: false
          name: includeAllTags
          in: query
        - schema:
            type: array
            nullable: true
            items:
              type: string
              enum:
                - DRAFT
                - PENDING
                - PAID
                - CANCELED
                - PARTIALLY_PAID
                - BONIFIED
                - CANCELLED
                - EXPIRED
          required: false
          name: statuses
          in: query
        - schema:
            type: number
            nullable: true
          required: false
          name: posPageId
          in: query
        - schema:
            type: array
            nullable: true
            items:
              type: object
              properties:
                customFieldId:
                  type: number
                value:
                  type: string
              required:
                - customFieldId
                - value
          required: false
          name: customFieldFilters
          in: query
      responses:
        '200':
          description: Facturas paginadas
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: number
                        totalAmount:
                          type: string
                        totalPaid:
                          type: string
                        totalPending:
                          type: string
                        totalMora:
                          type: string
                        interestPaid:
                          type: string
                        interestSnapshot:
                          type: string
                        interestSnapshotDate:
                          type: string
                          nullable: true
                        status:
                          type: string
                          enum:
                            - DRAFT
                            - PENDING
                            - PAID
                            - CANCELED
                            - PARTIALLY_PAID
                            - BONIFIED
                        description:
                          type: string
                          nullable: true
                        date:
                          type: string
                        expirationDate:
                          type: string
                        settlement:
                          type: object
                          nullable: true
                          properties:
                            id:
                              type: number
                            name:
                              type: string
                            sentDate:
                              type: string
                              nullable: true
                            status:
                              type: string
                              enum:
                                - DRAFT
                                - SENDING
                                - SENT
                                - CANCELED
                          required:
                            - id
                            - name
                            - sentDate
                            - status
                        lastPaymentDate:
                          type: string
                          nullable: true
                        paymentMethod:
                          type: string
                          nullable: true
                        isManualPayment:
                          type: boolean
                        uniqueId:
                          type: string
                          nullable: true
                        applyInterest:
                          type: boolean
                        externalReference:
                          type: string
                          nullable: true
                        contact:
                          type: object
                          properties:
                            id:
                              type: number
                            name:
                              type: string
                            lastName:
                              type: string
                              nullable: true
                          required:
                            - id
                            - name
                            - lastName
                        source:
                          type: string
                          enum:
                            - SETTLEMENT
                            - IMPORT
                            - MANUAL
                            - SUBSCRIPTION
                            - EVENT
                            - POS
                        eventPurchase:
                          type: object
                          nullable: true
                          properties:
                            id:
                              type: number
                            reference:
                              type: string
                            eventPageId:
                              type: number
                            pdfUrl:
                              type: string
                              nullable: true
                          required:
                            - id
                            - reference
                            - eventPageId
                            - pdfUrl
                      required:
                        - id
                        - totalAmount
                        - totalPaid
                        - totalPending
                        - totalMora
                        - interestPaid
                        - interestSnapshot
                        - interestSnapshotDate
                        - status
                        - description
                        - date
                        - expirationDate
                        - settlement
                        - lastPaymentDate
                        - uniqueId
                        - applyInterest
                        - externalReference
                        - contact
                        - source
                        - eventPurchase
                  total:
                    type: number
                  totalPages:
                    type: number
                  currentPage:
                    type: number
                  limit:
                    type: number
                  hasNextPage:
                    type: boolean
                  hasPreviousPage:
                    type: boolean
                required:
                  - data
                  - total
                  - totalPages
                  - currentPage
                  - limit
                  - hasNextPage
                  - hasPreviousPage
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````